<?php

/**
 * @file
 * Contains \Drupal\toggle\Plugin\field\formatter\ToggleFormatter.
 */

namespace Drupal\toggle\Plugin\field\formatter;

// @TODO remove annotation use statements.
use Drupal\field\Annotation\FieldFormatter;
use Drupal\Core\Annotation\Translation;
use Drupal\field\Plugin\Type\Formatter\FormatterBase;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\Field\FieldInterface;

/**
 * Plugin implementation of the 'list_toggle' formatter.
 *
 * @FieldFormatter(
 *   id = "list_toggle",
 *   label = @Translation("Toggle widget"),
 *   field_types = {
 *     "list_boolean",
 *     "list_integer",
 *     "list_float",
 *     "list_text"
 *   }
 * )
 */
class ToggleFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(EntityInterface $entity, $langcode, FieldInterface $items) {
    $elements = array();
//    include_once drupal_get_path('module', 'devel') . '/krumo/class.krumo.php';
//    krumo($items);die;
    foreach ($items as $delta => $item) {
      $elements[$delta] = array('#markup' => field_filter_xss($item->value));
    }

    return $elements;
  }

}
